<?php

if ( ! function_exists( 'micdrop_core_add_blog_list_variation_classic' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_blog_list_variation_classic( $variations ) {
		$variations['classic'] = esc_html__( 'Classic', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_blog_list_layouts', 'micdrop_core_add_blog_list_variation_classic' );
}

if ( ! function_exists( 'micdrop_core_load_blog_list_variation_classic_assets' ) ) {
	/**
	 * Function that return is global blog asses allowed for variation layout
	 *
	 * @param bool $is_enabled
	 * @param array $params
	 *
	 * @return bool
	 */
	function micdrop_core_load_blog_list_variation_classic_assets( $is_enabled, $params ) {

		if ( 'classic' === $params['layout'] ) {
			$is_enabled = true;
		}

		return $is_enabled;
	}

	add_filter( 'micdrop_core_filter_load_blog_list_assets', 'micdrop_core_load_blog_list_variation_classic_assets', 10, 2 );
}

if ( ! function_exists( 'micdrop_core_register_blog_list_classic_scripts' ) ) {
	/**
	 * Function that register modules 3rd party scripts
	 *
	 * @param array $scripts
	 *
	 * @return array
	 */
	function micdrop_core_register_blog_list_classic_scripts( $scripts ) {

		$scripts['wp-mediaelement']    = array(
			'registered' => true,
		);
		$scripts['mediaelement-vimeo'] = array(
			'registered' => true,
		);

		return $scripts;
	}

	add_filter( 'micdrop_core_filter_blog_list_register_scripts', 'micdrop_core_register_blog_list_classic_scripts' );
}

if ( ! function_exists( 'micdrop_core_register_blog_list_classic_styles' ) ) {
	/**
	 * Function that register modules 3rd party scripts
	 *
	 * @param array $styles
	 *
	 * @return array
	 */
	function micdrop_core_register_blog_list_classic_styles( $styles ) {

		$styles['wp-mediaelement'] = array(
			'registered' => true,
		);

		return $styles;
	}

	add_filter( 'micdrop_core_filter_blog_list_register_styles', 'micdrop_core_register_blog_list_classic_styles' );
}
