<?php

if ( ! function_exists( 'micdrop_core_add_blog_list_variation_standard' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_blog_list_variation_standard( $variations ) {
		$variations['standard'] = esc_html__( 'Standard', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_blog_list_layouts', 'micdrop_core_add_blog_list_variation_standard' );
}

if ( ! function_exists( 'micdrop_core_load_blog_list_variation_hide_video_post_format_media_dependency' ) ) {
	/**
	 * Function that add dependency to shortcode params
	 * Show option for variation
	 *
	 * @param array $array
	 *
	 * @return array $array
	 */
	function micdrop_core_load_blog_list_variation_hide_video_post_format_media_dependency( $array ) {

		$array[] = 'minimal';
		$array[] = 'simple';
		$array[] = 'metro';

		return $array;
	}

	add_filter( 'micdrop_core_filter_blog_list_show_video_post_format_media_dependency', 'micdrop_core_load_blog_list_variation_hide_video_post_format_media_dependency' );
}

if ( ! function_exists( 'micdrop_core_load_blog_list_variation_hide_audio_post_format_media_dependency' ) ) {
	/**
	 * Function that add dependency to shortcode params
	 * Show option for variation
	 *
	 * @param array $array
	 *
	 * @return array $array
	 */
	function micdrop_core_load_blog_list_variation_hide_audio_post_format_media_dependency( $array ) {

		$array[] = 'minimal';
		$array[] = 'simple';
		$array[] = 'metro';
		$array[] = 'standard';
		$array[] = 'info-left';
		$array[] = 'classic';

		return $array;
	}

	add_filter( 'micdrop_core_filter_blog_list_show_audio_post_format_media_dependency', 'micdrop_core_load_blog_list_variation_hide_audio_post_format_media_dependency' );
}

if ( ! function_exists( 'micdrop_core_load_blog_list_variation_hide_video_audio_post_info_dependency' ) ) {
	/**
	 * Function that add dependency to shortcode params
	 * Show option for variation
	 *
	 * @param array $array
	 *
	 * @return array $array
	 */
	function micdrop_core_load_blog_list_variation_hide_video_audio_post_info_dependency( $array ) {

		$array[] = 'minimal';
		$array[] = 'simple';
		$array[] = 'metro';

		return $array;
	}

	add_filter( 'micdrop_core_filter_blog_list_hide_video_audio_post_info_dependency', 'micdrop_core_load_blog_list_variation_hide_video_audio_post_info_dependency' );
}

if ( ! function_exists( 'micdrop_core_load_blog_list_variation_standard_assets' ) ) {
	/**
	 * Function that return is global blog asses allowed for variation layout
	 *
	 * @param bool $is_enabled
	 * @param array $params
	 *
	 * @return bool
	 */
	function micdrop_core_load_blog_list_variation_standard_assets( $is_enabled, $params ) {

		if ( 'standard' === $params['layout'] ) {
			$is_enabled = true;
		}

		return $is_enabled;
	}

	add_filter( 'micdrop_core_filter_load_blog_list_assets', 'micdrop_core_load_blog_list_variation_standard_assets', 10, 2 );
}

if ( ! function_exists( 'micdrop_core_register_blog_list_standard_scripts' ) ) {
	/**
	 * Function that register modules 3rd party scripts
	 *
	 * @param array $scripts
	 *
	 * @return array
	 */
	function micdrop_core_register_blog_list_standard_scripts( $scripts ) {

		$scripts['wp-mediaelement']    = array(
			'registered' => true,
		);
		$scripts['mediaelement-vimeo'] = array(
			'registered' => true,
		);

		return $scripts;
	}

	add_filter( 'micdrop_core_filter_blog_list_register_scripts', 'micdrop_core_register_blog_list_standard_scripts' );
}

if ( ! function_exists( 'micdrop_core_register_blog_list_standard_styles' ) ) {
	/**
	 * Function that register modules 3rd party scripts
	 *
	 * @param array $styles
	 *
	 * @return array
	 */
	function micdrop_core_register_blog_list_standard_styles( $styles ) {

		$styles['wp-mediaelement'] = array(
			'registered' => true,
		);

		return $styles;
	}

	add_filter( 'micdrop_core_filter_blog_list_register_styles', 'micdrop_core_register_blog_list_standard_styles' );
}
