<?php
$post_id          = get_the_ID();
$is_enabled       = micdrop_core_get_post_value_through_levels( 'qodef_blog_single_enable_related_posts' );
$related_posts    = micdrop_core_get_custom_post_type_related_posts( $post_id, micdrop_core_get_blog_single_post_taxonomies( $post_id ) );
$normalize_height = micdrop_core_get_post_value_through_levels( 'qodef_blog_single_normalize_height' );
$post_template    = micdrop_core_get_post_value_through_levels( 'qodef_blog_single_post_template' );


$holder_classes = array();
if ( !empty( $normalize_height ) && 'yes' === $normalize_height ) {
	$holder_classes[] = 'qodef--normalize-height';
}

if ( 'yes' === $is_enabled && ! empty( $related_posts ) && class_exists( 'MicdropCore_Blog_List_Shortcode' ) ) { ?>
	<?php
	// check if wide blog post template is used
	if ( $post_template ) {
		$columns        = '4';
		$posts_per_page = 4;
	} else {
		$columns        = '3';
		$posts_per_page = 3;
	}
	?>
	<div id="qodef-related-posts" <?php qode_framework_class_attribute( $holder_classes ); ?>>
		<h4 class="qodef-read-also-title">
			<?php esc_html_e( 'You may also like', 'micdrop-core' ); ?>
		</h4>
		<?php
		$params = apply_filters(
			'micdrop_core_filter_blog_single_related_posts_params',
			array(
				'custom_class'      => 'qodef--no-bottom-space',
				'columns'           => $columns,
				'posts_per_page'    => $posts_per_page,
				'additional_params' => 'id',
				'post_ids'          => $related_posts['items'],
				'title_tag'         => 'h5',
				'excerpt_length'    => '100',
				'layout'            => 'standard',
			)
		);

		echo MicdropCore_Blog_List_Shortcode::call_shortcode( $params );
		?>
	</div>
<?php } ?>
