(function ( $ ) {
	'use strict';

	$( window ).on(
		'load',
		function () {
			fadeBgOnScroll.init();
		}
	);

	var fadeBgOnScroll = {
		section: '',
		docYScroll: 0,
		scrollAmount: 650,
		scrollAmountTouch: 300,
		init: function () {
			var displayAmount = fadeBgOnScroll.displayAmount();

			// Set variables
			fadeBgOnScroll.section 	  = $( '.qodef-fade-bg-on-scroll' );
			fadeBgOnScroll.docYScroll = $( document ).scrollTop();

			// Set background visibility
			fadeBgOnScroll.setVisibility( displayAmount );

			$( window ).scroll(
				function () {
					fadeBgOnScroll.setVisibility( displayAmount );
				}
			);
		},
		displayAmount: function () {
			if ( qodef.windowWidth > 1024 ) {
				return parseInt(
					fadeBgOnScroll.scrollAmount,
					10
				);
			} else {
				return parseInt(
					fadeBgOnScroll.scrollAmountTouch,
					10
				);
			}
		},
		setVisibility: function ( displayAmount ) {
			var isShown = qodefCore.scroll < displayAmount;

			fadeBgOnScroll.showHideHeader( isShown );
		},
		showHideHeader: function ( isShown ) {
			if ( isShown ) {
				fadeBgOnScroll.section.removeClass( 'qodef-fade-bg' );
			} else {
				fadeBgOnScroll.section.addClass( 'qodef-fade-bg' );
			}
		},
	};

	qodefCore.fadeBgOnScroll = fadeBgOnScroll.init;

})( jQuery );
