<?php

if ( ! function_exists( 'micdrop_core_add_general_options' ) ) {
	/**
	 * Function that add general options for this module
	 */
	function micdrop_core_add_general_options( $page ) {

		if ( $page ) {
			$page->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_main_color',
					'title'       => esc_html__( 'Main Color', 'micdrop-core' ),
					'description' => esc_html__( 'Choose the most dominant theme color', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_additional_color',
					'title'       => esc_html__( 'Additional Color', 'micdrop-core' ),
					'description' => esc_html__( 'Choose additional theme color mostly used for borders and gray text', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_page_background_color',
					'title'       => esc_html__( 'Page Background Color', 'micdrop-core' ),
					'description' => esc_html__( 'Set background color', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'image',
					'name'        => 'qodef_page_background_image',
					'title'       => esc_html__( 'Page Background Image', 'micdrop-core' ),
					'description' => esc_html__( 'Set background image', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'select',
					'name'        => 'qodef_page_background_repeat',
					'title'       => esc_html__( 'Page Background Image Repeat', 'micdrop-core' ),
					'description' => esc_html__( 'Set background image repeat', 'micdrop-core' ),
					'options'     => array(
						''          => esc_html__( 'Default', 'micdrop-core' ),
						'no-repeat' => esc_html__( 'No Repeat', 'micdrop-core' ),
						'repeat'    => esc_html__( 'Repeat', 'micdrop-core' ),
						'repeat-x'  => esc_html__( 'Repeat-x', 'micdrop-core' ),
						'repeat-y'  => esc_html__( 'Repeat-y', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'select',
					'name'        => 'qodef_page_background_size',
					'title'       => esc_html__( 'Page Background Image Size', 'micdrop-core' ),
					'description' => esc_html__( 'Set background image size', 'micdrop-core' ),
					'options'     => array(
						''        => esc_html__( 'Default', 'micdrop-core' ),
						'contain' => esc_html__( 'Contain', 'micdrop-core' ),
						'cover'   => esc_html__( 'Cover', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'select',
					'name'        => 'qodef_page_background_attachment',
					'title'       => esc_html__( 'Page Background Image Attachment', 'micdrop-core' ),
					'description' => esc_html__( 'Set background image attachment', 'micdrop-core' ),
					'options'     => array(
						''       => esc_html__( 'Default', 'micdrop-core' ),
						'fixed'  => esc_html__( 'Fixed', 'micdrop-core' ),
						'scroll' => esc_html__( 'Scroll', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_page_content_padding',
					'title'       => esc_html__( 'Page Content Padding', 'micdrop-core' ),
					'description' => esc_html__( 'Set padding that will be applied for page content in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_page_content_padding_mobile',
					'title'       => esc_html__( 'Page Content Padding Mobile', 'micdrop-core' ),
					'description' => esc_html__( 'Set padding that will be applied for page content on mobile screens (1024px and below) in format: top right bottom left (e.g. 10px 5px 10px 5px)', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type'    => 'yesno',
					'name'          => 'qodef_boxed',
					'title'         => esc_html__( 'Boxed Layout', 'micdrop-core' ),
					'description'   => esc_html__( 'Set boxed layout', 'micdrop-core' ),
					'default_value' => 'no',
				)
			);

			$boxed_section = $page->add_section_element(
				array(
					'name'       => 'qodef_boxed_section',
					'title'      => esc_html__( 'Boxed Layout Section', 'micdrop-core' ),
					'dependency' => array(
						'hide' => array(
							'qodef_boxed' => array(
								'values'        => 'no',
								'default_value' => '',
							),
						),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'    => 'yesno',
					'name'          => 'qodef_boxed_disabled_680',
					'title'         => esc_html__( 'Disable Boxed Layout On Mobile', 'micdrop-core' ),
					'default_value' => 'no',
				)
			);

			$boxed_section->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_boxed_background_color',
					'title'       => esc_html__( 'Boxed Background Color', 'micdrop-core' ),
					'description' => esc_html__( 'Set boxed background color', 'micdrop-core' ),
				)
			);

			$boxed_section->add_field_element(
				array(
					'field_type'  => 'image',
					'name'        => 'qodef_boxed_background_pattern',
					'title'       => esc_html__( 'Boxed Background Pattern', 'micdrop-core' ),
					'description' => esc_html__( 'Set boxed background pattern', 'micdrop-core' ),
				)
			);

			$boxed_section->add_field_element(
				array(
					'field_type'  => 'select',
					'name'        => 'qodef_boxed_background_pattern_behavior',
					'title'       => esc_html__( 'Boxed Background Pattern Behavior', 'micdrop-core' ),
					'description' => esc_html__( 'Set boxed background pattern behavior', 'micdrop-core' ),
					'options'     => array(
						'fixed'  => esc_html__( 'Fixed', 'micdrop-core' ),
						'scroll' => esc_html__( 'Scroll', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'    => 'yesno',
					'name'          => 'qodef_passepartout',
					'title'         => esc_html__( 'Passepartout', 'micdrop-core' ),
					'description'   => esc_html__( 'Enabling this option will display a passepartout around website content', 'micdrop-core' ),
					'default_value' => 'no',
				)
			);

			$passepartout_section = $page->add_section_element(
				array(
					'name'       => 'qodef_passepartout_section',
					'title'      => esc_html__( 'Passepartout Section', 'micdrop-core' ),
					'dependency' => array(
						'hide' => array(
							'qodef_passepartout' => array(
								'values'        => 'no',
								'default_value' => '',
							),
						),
					),
				)
			);

			$passepartout_section->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_passepartout_color',
					'title'       => esc_html__( 'Passepartout Color', 'micdrop-core' ),
					'description' => esc_html__( 'Choose background color for passepartout', 'micdrop-core' ),
				)
			);

			$passepartout_section->add_field_element(
				array(
					'field_type'  => 'image',
					'name'        => 'qodef_passepartout_image',
					'title'       => esc_html__( 'Passepartout Background Image', 'micdrop-core' ),
					'description' => esc_html__( 'Set background image for passepartout', 'micdrop-core' ),
				)
			);

			$passepartout_section->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_passepartout_size',
					'title'       => esc_html__( 'Passepartout Size', 'micdrop-core' ),
					'description' => esc_html__( 'Enter size amount for passepartout', 'micdrop-core' ),
					'args'        => array(
						'suffix' => esc_html__( 'px or %', 'micdrop-core' ),
					),
				)
			);

			$passepartout_section->add_field_element(
				array(
					'field_type'  => 'text',
					'name'        => 'qodef_passepartout_size_responsive',
					'title'       => esc_html__( 'Passepartout Responsive Size', 'micdrop-core' ),
					'description' => esc_html__( 'Enter size amount for passepartout for smaller screens (1024px and below)', 'micdrop-core' ),
					'args'        => array(
						'suffix' => esc_html__( 'px or %', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type'    => 'select',
					'name'          => 'qodef_content_width',
					'title'         => esc_html__( 'Initial Width of Content', 'micdrop-core' ),
					'description'   => esc_html__( 'Choose the initial width of content which is in grid (applies to pages set to "Default Template" and rows set to "In Grid")', 'micdrop-core' ),
					'options'       => micdrop_core_get_select_type_options_pool( 'content_width', false ),
					'default_value' => '1100',
				)
			);

			// Hook to include additional options after module options
			do_action( 'micdrop_core_action_after_general_options_map', $page );

			$page->add_field_element(
				array(
					'field_type'  => 'textarea',
					'name'        => 'qodef_custom_js',
					'title'       => esc_html__( 'Custom JS', 'micdrop-core' ),
					'description' => esc_html__( 'Enter your custom JavaScript here', 'micdrop-core' ),
				)
			);
		}
	}

	add_action( 'micdrop_core_action_default_options_init', 'micdrop_core_add_general_options', micdrop_core_get_admin_options_map_position( 'general' ) );
}
