<?php

if ( ! function_exists( 'micdrop_core_add_divided_header_meta' ) ) {
	/**
	 * Function that add additional header layout meta box options
	 *
	 * @param object $page
	 */
	function micdrop_core_add_divided_header_meta( $page ) {

		$section = $page->add_section_element(
			array(
				'name'       => 'qodef_divided_header_section',
				'title'      => esc_html__( 'Divided Header', 'micdrop-core' ),
				'dependency' => array(
					'show' => array(
						'qodef_header_layout' => array(
							'values'        => 'divided',
							'default_value' => '',
						),
					),
				),
			)
		);

		$section->add_field_element(
			array(
				'field_type'  => 'text',
				'name'        => 'qodef_divided_header_height',
				'title'       => esc_html__( 'Header Height', 'micdrop-core' ),
				'description' => esc_html__( 'Enter header height', 'micdrop-core' ),
				'args'        => array(
					'suffix' => esc_html__( 'px', 'micdrop-core' ),
				),
			)
		);

		$section->add_field_element(
			array(
				'field_type'  => 'text',
				'name'        => 'qodef_divided_header_side_padding',
				'title'       => esc_html__( 'Header Side Padding', 'micdrop-core' ),
				'description' => esc_html__( 'Enter side padding for header area', 'micdrop-core' ),
				'args'        => array(
					'suffix' => esc_html__( 'px or %', 'micdrop-core' ),
				),
			)
		);

		$section->add_field_element(
			array(
				'field_type'  => 'color',
				'name'        => 'qodef_divided_header_background_color',
				'title'       => esc_html__( 'Header Background Color', 'micdrop-core' ),
				'description' => esc_html__( 'Enter header background color', 'micdrop-core' ),
			)
		);

		$section->add_field_element(
			array(
				'field_type'  => 'color',
				'name'        => 'qodef_divided_header_border_color',
				'title'       => esc_html__( 'Header Border Color', 'micdrop-core' ),
				'description' => esc_html__( 'Enter header border color', 'micdrop-core' ),
			)
		);
	}

	add_action( 'micdrop_core_action_after_page_header_meta_map', 'micdrop_core_add_divided_header_meta' );
}
