(function ( $ ) {
	'use strict';

	$( document ).ready(
		function () {
			qodefFullscreenMenu.init();
			qodefHideWidgetFullscreenMenu.init();
		}
	);

	/**
	 * Init Fullscreen Menu
	 */
	var qodefFullscreenMenu = {
		// Add overlay for closing the menu
		init: function () {

			if ( $( 'body' ).hasClass( 'qodef-header--minimal' ) ) {

				$( '#qodef-page-wrapper #qodef-fullscreen-area-inner' ).prepend( '<div class="qodef-fullscreen-cover"/>' );

				$( '#qodef-page-wrapper .qodef-fullscreen-cover' ).on(
					'click',
					function () {
						$( 'body' ).removeClass( 'qodef-fullscreen-menu--opened qodef-fullscreen-menu-animate--in' ).addClass('qodef-fullscreen-menu-animate--out');
						qodefCore.qodefScroll.enable();
					}
				);

				$( window ).mousemove(
					function ( e ) {
						$( '.qodef-fullscreen-menu-opener .qodef-m-icon.qodef--close' ).css( { left: e.clientX, top: e.clientY } );
					}
				);

				$( '.qodef-fullscreen-menu, #qodef-fullscreen-area .qodef-widget-holder' ).mouseenter(
					function ( e ) {
						$( '.qodef-m-icon.qodef--close' ).css(
							'opacity',
							'0'
						);
					}
				)
				.mouseleave(
					function ( e ) {
						$( '.qodef-m-icon.qodef--close' ).css(
							'opacity',
							'1'
						);
					}
				);
			}
		}
	}

	var qodefHideWidgetFullscreenMenu = {
		init: function () {
			this.holder = $( '.qodef-header--minimal .qodef-minimal-header-hide-widget-open-menu' );

			if ( this.holder.length ) {
				$( 'body' ).addClass( 'qodef-hide-widget-on-fullscren-open-menu' );
			}
		}
	};

})( jQuery );
