<?php

if ( ! function_exists( 'micdrop_core_add_vertical_header_meta' ) ) {
	/**
	 * Function that add additional header layout meta box options
	 *
	 * @param object $page
	 */
	function micdrop_core_add_vertical_header_meta( $page ) {

		$section = $page->add_section_element(
			array(
				'name'       => 'qodef_vertical_header_section',
				'title'      => esc_html__( 'Vertical Header', 'micdrop-core' ),
				'dependency' => array(
					'show' => array(
						'qodef_header_layout' => array(
							'values'        => 'vertical',
							'default_value' => '',
						),
					),
				),
			)
		);

		$section->add_field_element(
			array(
				'field_type'  => 'color',
				'name'        => 'qodef_vertical_header_background_color',
				'title'       => esc_html__( 'Header Background Color', 'micdrop-core' ),
				'description' => esc_html__( 'Enter header background color', 'micdrop-core' ),
			)
		);
	}

	add_action( 'micdrop_core_action_after_page_header_meta_map', 'micdrop_core_add_vertical_header_meta' );
}
