(function ( $ ) {
	'use strict';

	$( window ).on(
		'load',
		function () {
			qodefParticles.init();
		}
	);

	/**
	 * Init global parallax background functionality
	 */
	var qodefParticles = {
		init: function () {
			var particlesHolder = $('.qodef-particles-background');

			if ( particlesHolder.length ) {
				particlesHolder.each(function () {
					var thisParticles = $(this);
					
					qodefParticles.init_particles( thisParticles );
				});
			}
		},
		random_id: function() {
			var string_length = 10;
			var random_string = '';
			var random_ascii;
			for(var i = 0; i < string_length; i++) {
				random_ascii = Math.floor((Math.random() * 25) + 97);
				random_string += String.fromCharCode(random_ascii)
			}

			return random_string
		},
		init_particles: function ($holder) {
			var particlesInner = $holder.find('.qodef-p-particles-container');

			particlesInner.attr('id', 'qodef-' + qodefParticles.random_id());

			var particlesOptions = {
				particles_color: typeof particlesInner.attr('data-particles-color') !== 'undefined' && particlesInner.attr('data-particles-color') ? particlesInner.attr('data-particles-color') : '#d48063',
			};

			/* particles init */
			particlesJS(
				particlesInner.attr('id'),
				{
					"particles": {
						"number": {
							"value": 80,
							"density": {
								"enable": false,
								"value_area": 800
							}
						},
						"color": {
							"value": particlesOptions.particles_color
						},
						"shape": {
							"type": "circle",
							"stroke": {
								"width": 0,
								"color": "#ffffff"
							},
							"polygon": {
								"nb_sides": 5
							},
							"image": {
								"src": "img/github.svg",
								"width": 100,
								"height": 100
							}
						},
						"opacity": {
							"value": 1,
							"random": false,
							"anim": {
								"enable": false,
								"speed": 1,
								"opacity_min": 0.1,
								"sync": false
							}
						},
						"size": {
							"value": 3,
							"random": true,
							"anim": {
								"enable": false,
								"speed": 120,
								"size_min": 2,
								"sync": false
							}
						},
						"line_linked": {
							"enable": true,
							"distance": 100,
							"color": particlesOptions.particles_color,
							"opacity": 0.6,
							"width": 2
						},
						"move": {
							"enable": true,
							"speed": 2,
							"direction": "none",
							"random": false,
							"straight": false,
							"out_mode": "out",
							"bounce": false,
							"attract": {
								"enable": false,
								"rotateX": 600,
								"rotateY": 1200
							}
						}
					},
					"interactivity": {
						"detect_on": "canvas",
						"events": {
							"onhover": {
								"enable": false,
								"mode": "grab"
							},
							"onclick": {
								"enable": false,
								"mode": "push"
							},
							"resize": true
						},
						"modes": {
							"grab": {
								"distance": 100 * 2,
								"line_linked": {
									"opacity": 0.7
								}
							},
							"bubble": {
								"distance": 800,
								"size": 80,
								"duration": 2,
								"opacity": 0.8,
								"speed": 3
							},
							"repulse": {
								"distance": 400,
								"duration": 0.4
							},
							"push": {
								"particles_nb": 4
							},
							"remove": {
								"particles_nb": 2
							}
						}
					},
					"retina_detect": true
				}
			);
		}
	};

	qodefCore.qodefParticles = qodefParticles;

})( jQuery );
