<?php

if ( ! function_exists( 'micdrop_core_cf7_add_submit_form_tag' ) ) {
	/**
	 * Function that override default submit buttom html tag
	 */
	function micdrop_core_cf7_add_submit_form_tag() {
		wpcf7_add_form_tag( 'submit', 'micdrop_core_cf7_submit_form_tag_handler' );
	}
}

if ( ! function_exists( 'micdrop_core_cf7_submit_form_tag_handler' ) ) {
	/**
	 * Function that override default submit buttom html tag
	 *
	 * @param array $tag
	 *
	 * @return string
	 */
	function micdrop_core_cf7_submit_form_tag_handler( $tag ) {
		$tag   = new WPCF7_FormTag( $tag );
		$class = wpcf7_form_controls_class( $tag->type );

		$atts             = array();
		$atts['class']    = $tag->get_class_option( $class );
		$atts['class']   .= ' qodef-button qodef-size--normal qodef-layout--textual-with-arrow qodef-m';
		$atts['id']       = $tag->get_id_option();
		$atts['tabindex'] = $tag->get_option( 'tabindex', 'int', true );

		$value = isset( $tag->values[0] ) ? $tag->values[0] : '';
		if ( empty( $value ) ) {
			$value = esc_html__( 'Send', 'micdrop-core' );
		}

		$atts['type'] = 'submit';
		$atts         = wpcf7_format_atts( $atts );

		$html = sprintf( '<button %1$s><span class="qodef-m-text">%2$s</span><span class="qodef-m-icon"><svg xmlns="http://www.w3.org/2000/svg" width="11.4959" height="10.1209" viewBox="0 0 11.4959 10.1209"><g><rect y="3.9886" width="10.0417" height="2"></rect><polyline points="5.925 9.593 10.438 5.043 5.925 0.53"></polyline></g><g><rect y="3.9886" width="10.0417" height="2"></rect><polyline points="5.925 9.593 10.438 5.043 5.925 0.53"></polyline></g></svg></span></button>', $atts, $value );

		return $html;
	}
}
