<?php

if ( ! function_exists( 'micdrop_core_add_album_artist_options' ) ) {
	/**
	 * Function that add general options for this module
	 */
	function micdrop_core_add_album_artist_options() {
		$qode_framework = qode_framework_get_framework_root();

		$page = $qode_framework->add_options_page(
			array(
				'scope' => array( 'artist' ),
				'type'  => 'taxonomy',
				'slug'  => 'artist',
			)
		);

		if ( $page ) {
			$page->add_field_element(
				array(
					'field_type' => 'select',
					'name'       => 'qodef_artist_skin',
					'title'      => esc_html__( 'Artist Skin', 'micdrop-core' ),
					'options'    => array(
						'default' => esc_html__( 'Default', 'micdrop-core' ),
						'light'   => esc_html__( 'Light', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'select',
					'name'       => 'qodef_artist_header_skin',
					'title'      => esc_html__( 'Artist Header Skin', 'micdrop-core' ),
					'options'    => array(
						'default' => esc_html__( 'Default', 'micdrop-core' ),
						'light'   => esc_html__( 'Light', 'micdrop-core' ),
						'dark'    => esc_html__( 'Dark', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'image',
					'name'       => 'qodef_artist_image',
					'title'      => esc_html__( 'Artist Image', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'image',
					'name'       => 'qodef_artist_background_image',
					'title'      => esc_html__( 'Artist Background Image', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'textarea',
					'name'       => 'qodef_album_artist_subtitle',
					'title'      => esc_html__( 'Artist Subtitle Text', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'textarea',
					'name'       => 'qodef_album_artist_biography',
					'title'      => esc_html__( 'Artist Biography', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_video',
					'title'      => esc_html__( 'Artist Video URL', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_additional_video',
					'title'      => esc_html__( 'Artist Additional Video URL', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_facebook_link',
					'title'      => esc_html__( 'Artist Facebook Link', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_twitter_link',
					'title'      => esc_html__( 'Artist Twitter Link', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_instagram_link',
					'title'      => esc_html__( 'Artist Instagram Link', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_youtube_link',
					'title'      => esc_html__( 'Artist YouTube Link', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_spotify_link',
					'title'      => esc_html__( 'Artist Spotify Link', 'micdrop-core' ),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'text',
					'name'       => 'qodef_album_artist_soundcloud_link',
					'title'      => esc_html__( 'Artist Soundcloud Link', 'micdrop-core' ),
				)
			);
		}
	}

	add_action( 'micdrop_core_action_register_cpt_tax_fields', 'micdrop_core_add_album_artist_options' );
}
