<?php

if ( ! function_exists( 'micdrop_core_add_album_list_variation_gallery' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_album_list_variation_gallery( $variations ) {
		$variations['gallery'] = esc_html__( 'Gallery', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_album_list_layouts', 'micdrop_core_add_album_list_variation_gallery' );
}

if ( ! function_exists( 'micdrop_core_add_album_list_variation_gallery_options' ) ) {
	/**
	 * Function that add additional options for variation layout
	 *
	 * @param array $options
	 *
	 * @return array
	 */
	function micdrop_core_add_album_list_variation_gallery_options( $options ) {
		$gallery_options   = array();
		$store_option      = array(
			'field_type' => 'select',
			'name'       => 'enable_stores',
			'title'      => esc_html__( 'Enable Platform Buttons', 'micdrop-core' ),
			'dependency' => array(
				'show' => array(
					'behavior' => array(
						'values'        => 'columns',
						'default_value' => 'default',
					),
				),
			),
			'options'    => micdrop_core_get_select_type_options_pool( 'yes_no', false ),
			'group'      => esc_html__( 'Layout', 'micdrop-core' ),
		);
		$gallery_options[] = $store_option;

		return array_merge( $options, $gallery_options );
	}

	add_filter( 'micdrop_core_filter_album_list_extra_options', 'micdrop_core_add_album_list_variation_gallery_options' );
}
