<?php

if ( ! function_exists( 'micdrop_core_add_album_list_variation_standard' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_album_list_variation_standard( $variations ) {
		$variations['standard'] = esc_html__( 'Standard', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_album_list_layouts', 'micdrop_core_add_album_list_variation_standard' );
}

if ( ! function_exists( 'micdrop_core_add_album_list_variation_standard_options' ) ) {
	/**
	 * Function that add additional options for variation layout
	 *
	 * @param array $options
	 *
	 * @return array
	 */
	function micdrop_core_add_album_list_variation_standard_options( $options ) {
		$standard_options   = array();
		$gradient_option      = array(
			'field_type'    => 'select',
			'name'          => 'hover_gradient',
			'title'         => esc_html__( 'Album Hover Gradient', 'micdrop-core' ),
			'options' => array(
				'default'    => esc_html__( 'Default', 'micdrop-core' ),
				'vibrant'    => esc_html__( 'Vibrant', 'micdrop-core' ),
				'monochrome' => esc_html__( 'Monochrome', 'micdrop-core' ),
			),
			'group'         => esc_html__( 'Layout', 'micdrop-core' ),
			'dependency'    => array(
				'show' => array(
					'layout' => array(
						'values'        => 'standard',
						'default_value' => '',
					),
				),
			),
		);
		$standard_options[] = $gradient_option ;
		
		return array_merge( $options, $standard_options );
	}
	
	add_filter( 'micdrop_core_filter_album_list_extra_options', 'micdrop_core_add_album_list_variation_standard_options' );
}
