(function ( $ ) {
	'use strict';

	qodefCore.shortcodes.micdrop_core_album_player_slider = {};

	$( document ).ready(
		function () {
			qodefAlbumPlayerSlider.init();
		}
	);

	var qodefAlbumPlayerSlider = {
		init: function () {
			this.holder = $( '.qodef-album-player-slider' );

			if ( this.holder.length ) {
				this.holder.each(
					function () {
						var $thisHolder = $( this );
						qodefAlbumPlayerSlider.fullHeightSliderCalc( $thisHolder );

						$( window ).resize(
							function () {
								qodefAlbumPlayerSlider.fullHeightSliderCalc( $thisHolder );
							}
						);
					}
				);
			}
		},
		fullHeightSliderCalc: function ( $holder ) {

			if ( $holder.hasClass( 'qodef-full-height-album-player-slider' ) ) {
				var windowHeight = (window.innerHeight || document.documentElement.clientHeight);
				var headerHeight = 0;

				if ( ! qodef.body.hasClass( 'qodef-header--transparent' ) ) {
					headerHeight = qodefGlobal.vars.headerHeight;
				}

				if ( qodefCore.windowWidth > 1024 ) {
					var sliderHeight = windowHeight - headerHeight - qodefGlobal.vars.topAreaHeight - qodefGlobal.vars.adminBarHeight;
				} else {
					sliderHeight = windowHeight - qodefGlobal.vars.mobileHeaderHeight - qodefGlobal.vars.adminBarHeight;
				}

				if ( qodefCore.body.hasClass( 'qodef--passepartout' ) ) {
					var passepartoutSize = parseInt( qodefCore.body.css( 'padding-top' ) );
					sliderHeight -= passepartoutSize;
				}

				$holder.height( sliderHeight );
			}
		}
	};

	qodefCore.shortcodes.micdrop_core_album_player_slider.qodefAlbumPlayerSlider = qodefAlbumPlayerSlider;
	qodefCore.shortcodes.micdrop_core_album_player_slider.qodefSwiper 			 = qodef.qodefSwiper;
	qodefCore.shortcodes.micdrop_core_album_player_slider.qodefAlbumPlayer 		 = qodefCore.shortcodes.micdrop_core_album_player.qodefAlbumPlayer;

})( jQuery );
