(function ( $ ) {
	'use strict';

	qodefCore.shortcodes.micdrop_core_artist_showcase_slider = {};

	$( document ).ready(
		function () {
			qodefArtistShowcaseSlider.init();
		}
	);

	// $( window ).on(
	// 	'load',
	// 	function () {
	// 		qodefArtistShowcaseSlider.init();
	// 	}
	// );

	var qodefArtistShowcaseSlider = {
		init: function () {
			this.holder = $( '.qodef-artist-showcase-slider' );

			if ( this.holder.length ) {
				this.holder.each(
					function () {
						var $thisHolder = $( this );

						qodefArtistShowcaseSlider.fullHeightSliderCalc( $thisHolder );
						qodefArtistShowcaseSlider.createSlider( $thisHolder );
						qodefArtistShowcaseSlider.sliderSong( $thisHolder );

						$( window ).resize(
							function () {
								qodefArtistShowcaseSlider.fullHeightSliderCalc( $thisHolder );
							}
						);
					}
				);
			}
		},
		fullHeightSliderCalc: function ( $holder ) {

			if ( $holder.hasClass( 'qodef-artist-showcase-slider' ) ) {
				var windowHeight = (window.innerHeight || document.documentElement.clientHeight);
				var headerHeight = 0;

				if ( ! qodef.body.hasClass( 'qodef-header--transparent' ) ) {
					headerHeight = qodefGlobal.vars.headerHeight;
				}

				if ( qodefCore.windowWidth > 1024 ) {
					var sliderHeight = windowHeight - headerHeight - qodefGlobal.vars.topAreaHeight - qodefGlobal.vars.adminBarHeight;
				} else {
					sliderHeight = windowHeight - qodefGlobal.vars.adminBarHeight;
				}

				if ( qodefCore.body.hasClass( 'qodef--passepartout' ) ) {
					var passepartoutSize = parseInt( qodefCore.body.css( 'padding-top' ) );
					sliderHeight -= passepartoutSize;
				}

				$holder.height( sliderHeight );
			}
		},
		sliderSong: function ( $holder ) {

			var playButton = $holder.find( '.qodef-website-song' );
			var audioTrack = playButton.find( 'audio' ).get( 0 );

			if ( playButton.length ) {
				playButton.each(
					function () {
						/* commented out because media files can't be autoplayed anymore */
						/*audioTrack.play();
						playButton.addClass( 'qodef-track-playing qodef-track-in-progress' );
						$( '.qodef-equalizer-bar' ).removeClass( 'noAnim' );*/

						playButton.on(
							'click',
							function () {
								if ( playButton.hasClass( 'qodef-track-in-progress' ) ) {
									audioTrack.pause();
									playButton.addClass( 'qodef-track-paused' ).removeClass( 'qodef-track-in-progress' );
									$( '.qodef-equalizer-bar' ).addClass( 'noAnim' );
								} else if ( playButton.hasClass( 'qodef-track-paused' ) ) {
									audioTrack.play();
									playButton.addClass( 'qodef-track-playing qodef-track-in-progress' ).removeClass( 'qodef-track-paused' );
									$( '.qodef-equalizer-bar' ).removeClass( 'noAnim' );
								} else {
									audioTrack.play();
									playButton.addClass( 'qodef-track-playing qodef-track-in-progress' );
									$( '.qodef-equalizer-bar' ).removeClass( 'noAnim' );
								}
							}
						);

						playButton.find( 'audio' ).on(
							'ended',
							function () {
								audioTrack.play();
							}
						);
					}
				);
			}
		},
		createSlider: function ( $holder ) {
			var $swiperHolder = $holder.find( '.qodef-m-swiper' ),
				$sliderHolder = $holder.find( '.qodef-m-items' ),
				$pagination   = $holder.find( '.swiper-pagination' );

			var sliderOptions     = typeof $swiperHolder.data( 'options' ) !== 'undefined' ? $swiperHolder.data( 'options' ) : {},
				spaceBetween      = sliderOptions.spaceBetween !== undefined && sliderOptions.spaceBetween !== '' ? sliderOptions.spaceBetween : 0,
				slidesPerView     = sliderOptions.slidesPerView !== undefined && sliderOptions.slidesPerView !== '' ? sliderOptions.slidesPerView : 1,
				centeredSlides    = sliderOptions.centeredSlides !== undefined && sliderOptions.centeredSlides !== '' ? sliderOptions.centeredSlides : false,
				loop              = sliderOptions.loop !== undefined && sliderOptions.loop !== '' ? sliderOptions.loop : true,
				autoplay          = sliderOptions.autoplay !== undefined && sliderOptions.autoplay !== '' ? sliderOptions.autoplay : true,
				speed             = sliderOptions.speed !== undefined && sliderOptions.speed !== '' ? parseInt(
					sliderOptions.speed,
					10
				) : 5000,
				speedAnimation    = sliderOptions.speedAnimation !== undefined && sliderOptions.speedAnimation !== '' ? parseInt(
					sliderOptions.speedAnimation,
					10
				) : 800,
				customStages      = sliderOptions.customStages !== undefined && sliderOptions.customStages !== '' ? sliderOptions.customStages : false,
				outsideNavigation = sliderOptions.outsideNavigation !== undefined && sliderOptions.outsideNavigation === 'yes',
				nextNavigation    = outsideNavigation ? '.swiper-button-next-' + sliderOptions.unique : $swiperHolder.find( '.swiper-button-next' ),
				prevNavigation    = outsideNavigation ? '.swiper-button-prev-' + sliderOptions.unique : $swiperHolder.find( '.swiper-button-prev' ),
				pagination        = $swiperHolder.find( '.swiper-pagination' );

			if ( autoplay !== false && speed !== 5000 ) {
				autoplay = {
					delay: speed
				};
			}

			var $swiper = new Swiper(
				$swiperHolder,
				{
					slidesPerView: slidesPerView,
					centeredSlides: centeredSlides,
					spaceBetween: spaceBetween,
					direction: 'vertical',
					autoplay: autoplay,
					loop: loop,
					speed: speedAnimation,
					navigation: { nextEl: nextNavigation, prevEl: prevNavigation },
					pagination: { el: pagination, type: 'bullets', clickable: true },
					on: {
						init: function () {
							setTimeout(
								function () {
									$sliderHolder.addClass( 'qodef-swiper--initialized' );
								},
								100
							);

							/* slide scroll */
							if ( true ) {
								var scrollStart = false;

								$holder.on(
									'mousewheel',
									function ( e ) {
										e.preventDefault();

										if ( ! scrollStart ) {
											scrollStart = true;

											if ( e.deltaY < 0 ) {
												$swiperHolder[0].swiper.slideNext();
											} else {
												$swiperHolder[0].swiper.slidePrev();
											}

											setTimeout(
												function () {
													scrollStart = false;
												},
												1000
											);
										}
									}
								);
							}
						}
					},
				}
			);
		}
	};

	qodefCore.shortcodes.micdrop_core_artist_showcase_slider.qodefArtistShowcaseSlider = qodefArtistShowcaseSlider;

})( jQuery );

