<div <?php qode_framework_class_attribute( $holder_classes ); ?>>

	<?php if ( ! empty( $enable_song_on_load ) && 'yes' === $enable_song_on_load && ! empty( $song_audio_file_path ) ) { ?>
		<?php
		$media_id = attachment_url_to_postid( $song_audio_file_path );
		if ( wp_attachment_is( 'audio', $media_id ) ) {
			?>
			<a class="qodef-website-song">
				<audio src="<?php echo esc_url( $song_audio_file_path ); ?>"></audio>
				<div class="qodef-equalizer">
					<svg class="qodef-pause-button" xmlns="http://www.w3.org/2000/svg" width="85.0696" height="85.0696" viewBox="0 0 85.0696 85.0696">
						<g><polygon points="53.664 1 31.406 1 12.129 12.129 1 31.406 1 53.664 12.129 72.94 31.406 84.07 53.664 84.07 72.94 72.94 84.07 53.664 84.07 31.406 72.94 12.129 53.664 1"/></g>
						<g>
							<line id="qodef-equalizer-bar-1" class="qodef-equalizer-bar noAnim" x1="36.5348" y1="57.5348" x2="36.5348" y2="27.5348"/>
							<line id="qodef-equalizer-bar-2" class="qodef-equalizer-bar noAnim" x1="48.5348" y1="53.5348" x2="48.5348" y2="27.5348"/>
							<line id="qodef-equalizer-bar-3" class="qodef-equalizer-bar noAnim" x1="42.5348" y1="55.5351" x2="42.5348" y2="32.5351"/>
						</g>
					</svg>
					<svg class="qodef-play-button" xmlns="http://www.w3.org/2000/svg" width="86" height="86" viewBox="0 0 86 86">
						<g>
							<circle cx="43" cy="43" r="42"/><polygon points="38.607 36.34 38.607 49.66 49.393 43 38.607 36.34"/>
						</g>
						<g>
							<circle cx="43" cy="43" r="42"/><polygon points="38.607 36.34 38.607 49.66 49.393 43 38.607 36.34"/>
						</g>
					</svg>
				</div>
			</a>
		<?php } ?>
	<?php } ?>
	<div class="qodef-m-swiper" <?php qode_framework_inline_attr( $slider_attr, 'data-options' ); ?>>
		<div class="swiper-wrapper">
			<?php if ( ! empty( $items ) ) { ?>
				<?php
				$i                       = 1;
				$pagination_initial_skin = '';
				?>
				<?php foreach ( $items as $item ) : ?>
					<div class="qodef-e swiper-slide">
						<?php
						$content_inner_classes = '';
						if ( ! empty( $item['content_in_grid'] ) && 'yes' === $item['content_in_grid'] ) {
							$content_inner_classes = 'qodef-content-grid';
						}


						?>
						<div class="qodef-content-holder">
							<div class="qodef-content-holder-inner <?php echo esc_attr( $content_inner_classes ); ?>">
								<div class="qodef-item-text-holder">
									<div class="qodef-item-text-holder-inner">
										<div class="qodef-text-center">
											<?php if ( ! empty( $item['link'] ) || ! empty( $item['text'] ) ) { ?>
												<?php
												if ( ! empty( $item['text'] ) ) {
													?>
													<p class="qodef-text"><?php echo qode_framework_wp_kses_html( 'content', $item['text'] ); ?></p>
												<?php } ?>
											<?php } ?>
										</div>
										<?php if ( ! empty( $item['bottom_subtitle'] ) || ! empty( $item['bottom_title'] ) ) { ?>
											<div class="qodef-text-bottom">
												<?php if ( ! empty( $item['bottom_subtitle'] ) ) { ?>
													<h6 class="qodef-subtitle"><?php echo esc_html( $item['bottom_subtitle'] ); ?></h6>
												<?php } ?>
												<?php if ( ! empty( $item['bottom_title'] ) ) { ?>
													<h3 class="qodef-title"><?php echo esc_html( $item['bottom_title'] ); ?></h3>
												<?php } ?>
											</div>
										<?php } ?>
									</div>
								</div>
							</div>
							<?php if ( ! empty( $item['link'] ) || ! empty( $item['album_cover'] ) ) { ?>
								<div class="qodef-album-info">
									<?php if ( ! empty( $item['album_cover'] ) ) { ?>
										<div class="qodef-album-cover">
											<?php if ( ! empty( $item['link'] ) ) { ?>
											<a href="<?php echo esc_url( $item['link'] ); ?>" target="_self">
												<?php } ?>
												<?php echo wp_get_attachment_image( $item['album_cover'], 'full' ); ?>
												<?php if ( ! empty( $item['link'] ) ) { ?>
											</a>
										<?php } ?>

											<?php if ( ! empty( $item['album_disc'] ) ) { ?>
												<div class="qodef-album-disc">
													<?php echo wp_get_attachment_image( $item['album_disc'], 'full' ); ?>
												</div>
											<?php } ?>
										</div>
									<?php } ?>
									<?php
									$button_params = array(
										'link'          => $item['link'],
										'text'          => ! empty( $item['link_text'] ) ? $item['link_text'] : esc_html__( 'Listen to the new album', 'micdrop-core' ),
										'target'        => '_self',
										'button_layout' => 'outlined',
										'custom_class'  => 'qodef-item-btn',
									);
									if ( ! empty( $button_params ) && class_exists( 'MicdropCore_Button_Shortcode' ) ) {
										echo MicdropCore_Button_Shortcode::call_shortcode( $button_params );
									}
									?>
								</div>
							<?php } ?>
						</div>
						<?php if ( ! empty( $item['big_text'] ) ) { ?>
							<div class="qodef-item-background-text" data-index="<?php echo esc_attr( $i ); ?>">
							<span class="qodef-bg-text">
								<?php echo esc_html( $item['big_text'] ); ?>
							</span>
							</div>
						<?php } ?>
						<?php
						$style = array();
						if ( ! empty( $item['background_color'] ) ) {
							$style[] = 'background-color: ' . $item['background_color'];
						}
						?>
						<?php if ( ! empty( $item['background_image'] ) || ! empty( $item['background_color'] ) ) { ?>
							<div class="qodef-background-images-holder" <?php qode_framework_inline_style( $style ); ?>>
								<?php
								$bg_img_style = '';
								$bg_img_style .= 'background-image: url(' . wp_get_attachment_url( $item['background_image'] ) . ');';
								?>
								<div class="qodef-item-background-image" <?php qode_framework_inline_style( $bg_img_style ); ?> ></div>
							</div>
						<?php } ?>
					</div>
					<?php $i ++; ?>
				<?php endforeach ?>
			<?php } ?>
		</div>
		<?php micdrop_core_template_part( 'content', 'templates/swiper-pag', '', $params ); ?>
	</div>
</div>
