<?php
$reviews = get_post_meta( get_the_ID(), 'qodef_album_single_reviews', true );

if ( ! empty( $reviews ) ) {
	$holder_styles         = array();
	$background_image_meta = get_post_meta( get_the_ID(), 'qodef_album_single_reviews_background_image', true );

	if ( ! empty( $background_image_meta ) ) {
		$holder_styles[] = 'background-image: url( ' . wp_get_attachment_image_url( intval( $background_image_meta ), 'full' ) . ')';
	}
	?>
	<?php micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', array( 'label' => esc_html__( 'Reviews', 'micdrop-core' ) ) ); ?>
	<div class="qodef-e-reviews" <?php qode_framework_inline_style( $holder_styles ); ?>>
		<div class="qodef-e-reviews-items qodef-ei qodef-swiper-container">
			<div class="swiper-wrapper">
				<?php
				foreach ( $reviews as $review ) {
					$review_title = ! empty( $review['qodef_album_single_review_title'] ) ? $review['qodef_album_single_review_title'] : '';
					$review_text  = ! empty( $review['qodef_album_single_review_text'] ) ? $review['qodef_album_single_review_text'] : '';
					?>
					<div class="qodef-ei-item swiper-slide">
						<?php if ( ! empty( $review_text ) ) { ?>
							<p class="qodef-ei-text"><?php echo qode_framework_wp_kses_html( 'content', $review_text ); ?></p>
						<?php } ?>
						<?php if ( ! empty( $review_title ) ) { ?>
							<h6 class="qodef-ei-title"><?php echo qode_framework_wp_kses_html( 'content', $review_title ); ?></h6>
						<?php } ?>
					</div>
				<?php } ?>
			</div>
			<?php micdrop_core_template_part( 'content', 'templates/swiper-nav', '', array( 'slider_navigation' => 'yes' ) ); ?>
		</div>
	</div>
<?php } ?>
