<div class="qodef-e-navigation">
	<?php
	$post_navigation = array(
		'prev'      => array(
			'label' => '<span class="qodef-e-navigation-item-label">' . esc_html__( 'Prev Album', 'micdrop-core' ) . '</span>',
		),
		'back-link' => array(),
		'next'      => array(
			'label' => '<span class="qodef-e-navigation-item-label">' . esc_html__( 'Next Album', 'micdrop-core' ) . '</span>',
		),
	);

	$back_to_link = get_post_meta( get_the_ID(), 'qodef_album_single_back_to_link', true );
	if ( '' !== $back_to_link ) {
		$back_to_link_icon_params = array(
			'icon_attributes' => array(
				'class' => 'qodef-e-navigation-item-icon',
			),
		);

		$post_navigation['back-link'] = array(
			'post'    => true,
			'post_id' => $back_to_link,
			'icon'    => micdrop_core_return_svg_icon( 'album-back-link', 'qodef-m-pagination-spinner' ),
		);
	}

	if ( get_adjacent_post( false, '', true ) !== '' ) {
		$post_navigation['prev']['post'] = get_adjacent_post( false, '', true );
	}
	if ( get_adjacent_post( false, '', false ) !== '' ) {
		$post_navigation['next']['post'] = get_adjacent_post( false, '', false );
	}

	foreach ( $post_navigation as $key => $value ) {
		if ( isset( $post_navigation[ $key ]['post'] ) ) {
			$current_post = $value['post'];
			$post_id      = isset( $value['post_id'] ) && ! empty( $value['post_id'] ) ? $value['post_id'] : $current_post->ID;
			?>
			<a itemprop="url" class="qodef-e-navigation-item qodef--<?php echo esc_attr( $key ); ?>" href="<?php echo esc_url( get_permalink( $post_id ) ); ?>">
				<?php
				if ( ! empty( $value['icon'] ) ) {
					echo qode_framework_wp_kses_html( 'svg', $value['icon'] );
				}
				?>
				<?php
				if ( ! empty( $value['label'] ) ) {
					echo wp_kses( $value['label'], array( 'span' => array( 'class' => true ) ) );
				}
				?>
			</a>
		<?php } ?>
	<?php } ?>
</div>
