<?php
if ( ! empty( $id ) ) {
	$stores = get_post_meta( $id, 'qodef_album_single_stores', true );
} else {
	$stores = get_post_meta( get_the_ID(), 'qodef_album_single_stores', true );
}

if ( ! empty( $stores ) ) { ?>
	<div class="qodef-e-stores">
		<?php
		$classes      = array();
		$enable_label = isset( $enable_label ) && 'no' !== $enable_label;
		$layout       = isset( $layout ) && ! empty( $layout ) ? $layout : '';

		if ( $enable_label ) {
			micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', array( 'label' => esc_html__( 'Available On', 'micdrop-core' ) ) );
		}

		if ( ! empty( $layout ) ) {
			$classes[] = 'qodef-layout--' . $layout;
		}
		?>
		<div class="qodef-e-stores-items qodef-ei <?php echo esc_attr( implode( ' ', $classes ) ); ?>">
			<?php
			if ( 'textual' === $layout ) {
				?>
				<span class="qodef-ei-item qodef-stream-text"><?php esc_html_e( 'Stream on:', 'micdrop-core' ); ?></span>
				<?php
			}

			foreach ( $stores as $store ) {
				$store_name = $store['qodef_album_single_stores_name'];
				$store_link = ! empty( $store['qodef_album_single_stores_link'] ) ? $store['qodef_album_single_stores_link'] : '#';
				?>
				<a class="qodef-ei-item <?php echo esc_attr( 'qodef-store--' . $store_name ); ?>" href="<?php echo esc_url( $store_link ); ?>" target="_blank" title="<?php echo ucwords( str_replace( '-', ' ', $store_name ) ); ?>">
					<?php
					micdrop_core_template_part( 'post-types/album', 'templates/parts/icons/' . $store_name, '', array( 'icon_class' => 'qodef-ei-item-icon' ) );

					if ( 'button' === $layout ) {
						switch ( $store_name ) {
							case 'amazonmp3':
								$item_label = esc_html__( 'Amazon MP3', 'micdrop-core' );
								break;
							case 'itunes':
								$item_label = esc_html__( 'App Store', 'micdrop-core' );
								break;
							case 'soundcloud':
								$item_label = esc_html__( 'SoundCloud', 'micdrop-core' );
								break;
							case 'youtube':
								$item_label = esc_html__( 'YouTube', 'micdrop-core' );
								break;
							default:
								$item_label = ucwords( str_replace( '-', ' ', $store_name ) );
								break;
						}
						?>
					<?php } ?>
				</a>
			<?php } ?>
		</div>
	</div>
<?php } ?>
