<?php

if ( ! function_exists( 'micdrop_core_add_album_event_types_options' ) ) {
	/**
	 * Function that add general options for this module
	 */
	function micdrop_core_add_album_event_types_options() {
		$qode_framework = qode_framework_get_framework_root();

		$page = $qode_framework->add_options_page(
			array(
				'scope' => array( 'event-types' ),
				'type'  => 'taxonomy',
				'slug'  => 'event-types',
			)
		);

		if ( $page ) {
			$page->add_field_element(
				array(
					'field_type' => 'select',
					'name'       => 'qodef_event_types_skin',
					'title'      => esc_html__( 'Event Types Skin', 'micdrop-core' ),
					'options'    => array(
						'default' => esc_html__( 'Default', 'micdrop-core' ),
						'light'   => esc_html__( 'Light', 'micdrop-core' ),
					),
				)
			);

			$page->add_field_element(
				array(
					'field_type' => 'select',
					'name'       => 'qodef_event_types_header_skin',
					'title'      => esc_html__( 'Event Types Header Skin', 'micdrop-core' ),
					'options'    => array(
						'default' => esc_html__( 'Default', 'micdrop-core' ),
						'light'   => esc_html__( 'Light', 'micdrop-core' ),
						'dark'    => esc_html__( 'Dark', 'micdrop-core' ),
					),
				)
			);
		}
	}

	add_action( 'micdrop_core_action_register_cpt_tax_fields', 'micdrop_core_add_album_event_types_options' );
}
