(function ( $ ) {
	'use strict';

	$( document ).ready(
		function () {
			qodefSearchFullscreen.init();
		}
	);

	var qodefSearchFullscreen = {
		init: function () {
			var $searchOpener = $( 'a.qodef-search-opener' ),
				$searchHolder = $( '.qodef-fullscreen-search-holder' ),
				$searchClose  = $searchHolder.find( '.qodef-m-close' );

			if ( $searchOpener.length && $searchHolder.length ) {

				if ( $( 'body' ).hasClass( 'qodef-search--fullscreen' ) ) {

					$searchHolder.prepend( '<div class="qodef-fullscreen-search-cover"/>' );

					$( '.qodef-fullscreen-search-holder .qodef-fullscreen-search-cover' ).on(
						'click',
						function () {
							qodefSearchFullscreen.closeFullscreen( $searchHolder );
						}
					);

					$( window ).mousemove(
						function ( e ) {
							$( '.qodef-fullscreen-search-holder .qodef-opener-icon.qodef-m-close' ).css( { left: e.clientX, top: e.clientY } );
						}
					);

					$( '.qodef-fullscreen-search-holder .qodef-m-form' ).mouseenter(
						function ( e ) {
							$( '.qodef-opener-icon.qodef-m-close' ).css(
								'opacity',
								'0'
							);
						}
					)
					.mouseleave(
						function ( e ) {
							$( '.qodef-opener-icon.qodef-m-close' ).css(
								'opacity',
								'1'
							);
						}
					);
				}

				$searchOpener.on(
					'click',
					function ( e ) {
						e.preventDefault();
						if ( qodefCore.body.hasClass( 'qodef-fullscreen-search--opened' ) ) {
							qodefSearchFullscreen.closeFullscreen( $searchHolder );
						} else {
							qodefSearchFullscreen.openFullscreen( $searchHolder );
						}
					}
				);
				$searchClose.on(
					'click',
					function ( e ) {
						e.preventDefault();
						qodefSearchFullscreen.closeFullscreen( $searchHolder );
					}
				);

				//Close on escape
				$( document ).keyup(
					function ( e ) {
						if ( e.keyCode === 27 && qodefCore.body.hasClass( 'qodef-fullscreen-search--opened' ) ) { //KeyCode for ESC button is 27
							qodefSearchFullscreen.closeFullscreen( $searchHolder );
						}
					}
				);
			}
		},
		openFullscreen: function ( $searchHolder ) {
			qodefCore.body.removeClass( 'qodef-fullscreen-search--fadeout' );
			qodefCore.body.addClass( 'qodef-fullscreen-search--opened qodef-fullscreen-search--fadein' );

			setTimeout(
				function () {
					$searchHolder.find( '.qodef-m-form-field' ).focus();
				},
				900
			);

			qodefCore.qodefScroll.disable();
		},
		closeFullscreen: function ( $searchHolder ) {
			qodefCore.body.removeClass( 'qodef-fullscreen-search--opened qodef-fullscreen-search--fadein' );
			qodefCore.body.addClass( 'qodef-fullscreen-search--fadeout' );

			setTimeout(
				function () {
					$searchHolder.find( '.qodef-m-form-field' ).val( '' );
					$searchHolder.find( '.qodef-m-form-field' ).blur();
					qodefCore.body.removeClass( 'qodef-fullscreen-search--fadeout' );
				},
				300
			);

			qodefCore.qodefScroll.enable();
		}
	};

})( jQuery );
