<?php

if ( ! function_exists( 'micdrop_core_horizontal_scroll_showcase_shortcode' ) ) {
	/**
	 * Function that add shortcode into shortcodes list for registration
	 *
	 * @param array $shortcodes
	 *
	 * @return array
	 */
	function micdrop_core_horizontal_scroll_showcase_shortcode( $shortcodes ) {
		$shortcodes[] = 'MicdropCore_Horizontal_Scroll_Showcase_Shortcode';

		return $shortcodes;
	}

	add_filter( 'micdrop_core_filter_register_shortcodes', 'micdrop_core_horizontal_scroll_showcase_shortcode', 8 );
}

if ( class_exists( 'MicdropCore_Shortcode' ) ) {
	class MicdropCore_Horizontal_Scroll_Showcase_Shortcode extends MicdropCore_Shortcode {

		public function map_shortcode() {
			$this->set_shortcode_path( MICDROP_CORE_SHORTCODES_URL_PATH . '/horizontal-scroll-showcase' );
			$this->set_base( 'micdrop_core_horizontal_scroll_showcase' );
			$this->set_name( esc_html__( 'Horizontal Scroll Showcase', 'micdrop-core' ) );
			$this->set_description( esc_html__( 'Shortcode that adds Horizontal Scroll Showcase element', 'micdrop-core' ) );
			$this->set_category( esc_html__( 'Micdrop Core', 'micdrop-core' ) );
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'custom_class',
					'title'      => esc_html__( 'Custom Class', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'repeater',
					'name'       => 'children',
					'title'      => esc_html__( 'Items', 'micdrop-core' ),
					'items'      => array(
						array(
							'field_type' => 'image',
							'name'       => 'image',
							'title'      => esc_html__( 'Image', 'micdrop-core' ),
						),
						array(
							'field_type' => 'color',
							'name'       => 'item_background_color',
							'title'      => esc_html__( 'Background Color', 'micdrop-core' ),
						),
						array(
							'field_type' => 'select',
							'name'       => 'item_enable_particles',
							'title'      => esc_html__( 'Enable Particles', 'micdrop-core' ),
							'options'    => micdrop_core_get_select_type_options_pool( 'no_yes', false ),
							'default'    => 'no',
						),
						array(
							'field_type'  => 'color',
							'name'        => 'item_particles_color',
							'title'       => esc_html__( 'Particles Color', 'micdrop-core' ),
							'description' => esc_html__( 'Default Value is #D48063', 'micdrop-core' ),
							'dependency'  => array(
								'show' => array(
									'item_enable_particles' => array(
										'values'        => 'yes',
										'default_value' => 'no',
									),
								),
							),
						),
						array(
							'field_type'    => 'text',
							'name'          => 'title',
							'title'         => esc_html__( 'Title', 'micdrop-core' ),
							'default_value' => '',
						),
						array(
							'field_type'    => 'text',
							'name'          => 'link',
							'title'         => esc_html__( 'Link', 'micdrop-core' ),
							'default_value' => '',
						),
						array(
							'field_type'    => 'select',
							'name'          => 'target',
							'title'         => esc_html__( 'Link Target', 'micdrop-core' ),
							'options'       => micdrop_core_get_select_type_options_pool( 'link_target' ),
							'default_value' => '_blank',
						),
						array(
							'field_type'    => 'text',
							'name'          => 'text',
							'title'         => esc_html__( 'Text', 'micdrop-core' ),
							'default_value' => '',
						),
					),
				)
			);
			$this->set_option(
				array(
					'field_type'    => 'select',
					'name'          => 'intro_section_background',
					'title'         => esc_html__( 'Intro Section Background', 'micdrop-core' ),
					'options'       => array(
						''      => esc_html__( 'None', 'micdrop-core' ),
						'video' => esc_html__( 'Video', 'micdrop-core' ),
						'image' => esc_html__( 'Image', 'micdrop-core' ),
					),
					'default_value' => '',
					'group'         => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'intro_bg_video',
					'title'      => esc_html__( 'Intro Background Video', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
					'dependency' => array(
						'show' => array(
							'intro_section_background' => array(
								'values'        => 'video',
								'default_value' => 'video',
							),
						),
					),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'image',
					'name'       => 'intro_bg_image',
					'title'      => esc_html__( 'Intro Background Image', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
					'dependency' => array(
						'show' => array(
							'intro_section_background' => array(
								'values'        => 'image',
								'default_value' => 'video',
							),
						),
					),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'textarea',
					'name'       => 'intro_title',
					'title'      => esc_html__( 'Intro Title', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'intro_button_text',
					'title'      => esc_html__( 'Intro Button Text', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'intro_button_link',
					'title'      => esc_html__( 'Intro Button Link', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type'    => 'select',
					'name'          => 'intro_button_target',
					'title'         => esc_html__( 'Intro Button Target', 'micdrop-core' ),
					'options'       => micdrop_core_get_select_type_options_pool( 'link_target' ),
					'group'         => esc_html__( 'Intro Section', 'micdrop-core' ),
					'default_value' => '_blank',
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'intro_bottom_title',
					'title'      => esc_html__( 'Intro Bottom Title', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'intro_bottom_text',
					'title'      => esc_html__( 'Intro Bottom Text', 'micdrop-core' ),
					'group'      => esc_html__( 'Intro Section', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'color',
					'name'       => 'content_background_color',
					'title'      => esc_html__( 'Content Background Color', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'select',
					'name'       => 'cta_enable_particles',
					'title'      => esc_html__( 'Enable Particles', 'micdrop-core' ),
					'options'    => micdrop_core_get_select_type_options_pool( 'no_yes', false ),
					'default'    => 'no',
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type'  => 'color',
					'name'        => 'cta_particles_color',
					'title'       => esc_html__( 'Particles Color', 'micdrop-core' ),
					'description' => esc_html__( 'Default Value is #D48063', 'micdrop-core' ),
					'group'       => esc_html__( 'Call To Action', 'micdrop-core' ),
					'dependency'  => array(
						'show' => array(
							'cta_enable_particles' => array(
								'values'        => 'yes',
								'default_value' => 'no',
							),
						),
					),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'color',
					'name'       => 'cta_background_color',
					'title'      => esc_html__( 'Section Background Color', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_link_text',
					'title'      => esc_html__( 'CTA Button Link Text', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_link',
					'title'      => esc_html__( 'CTA Button Link', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type'    => 'select',
					'name'          => 'cta_link_target',
					'title'         => esc_html__( 'CTA Button Link target', 'micdrop-core' ),
					'options'       => micdrop_core_get_select_type_options_pool( 'link_target' ),
					'group'         => esc_html__( 'Call To Action', 'micdrop-core' ),
					'default_value' => '_blank',
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_title_1',
					'title'      => esc_html__( 'Section 1 Title', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_text_1',
					'title'      => esc_html__( 'Section 1 Text', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_email_1',
					'title'      => esc_html__( 'Section 1 Email', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_tel_1',
					'title'      => esc_html__( 'Section 1 Telephone', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_tel_link_1',
					'title'      => esc_html__( 'Section 1 Tel. Link', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);

			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_title_2',
					'title'      => esc_html__( 'Section 2 Title', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_text_2',
					'title'      => esc_html__( 'Section 2 Text', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_email_2',
					'title'      => esc_html__( 'Section 2 Email', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_tel_2',
					'title'      => esc_html__( 'Section 2 Telephone', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_option(
				array(
					'field_type' => 'text',
					'name'       => 'cta_tel_link_2',
					'title'      => esc_html__( 'Section 2 Tel. Link', 'micdrop-core' ),
					'group'      => esc_html__( 'Call To Action', 'micdrop-core' ),
				)
			);
			$this->set_scripts(
				array(
					'parallax-scroll' => array(
						'registered' => false,
						'url'        => MICDROP_CORE_INC_URL_PATH . '/shortcodes/horizontal-scroll-showcase/assets/js/plugins/jquery.parallax-scroll.js',
						'dependency' => array( 'jquery' ),
					),
				)
			);
		}

		public function render( $options, $content = null ) {
			parent::render( $options );
			$atts = $this->get_atts();

			$atts['holder_classes']     = $this->get_holder_classes( $atts );
			$atts['cta_classes']        = $this->get_cta_classes( $atts );
			$atts['cta_particles_attr'] = $this->get_cta_particles_attr( $atts );
			$atts['cta_styles']         = $this->get_cta_styles( $atts );
			$atts['this_object']        = $this;
			$atts['items']              = $this->parse_repeater_items( $atts['children'] );

			return micdrop_core_get_template_part( 'shortcodes/horizontal-scroll-showcase', 'templates/horizontal-scroll-showcase', '', $atts );
		}

		public function load_assets() {
			$atts = $this->get_atts();

			wp_enqueue_script( 'parallax-scroll' );
		}
		

		private function get_holder_classes( $atts ) {
			$holder_classes = $this->init_holder_classes();

			$holder_classes[] = 'qodef-horizontal-scroll-showcase';

			return implode( ' ', $holder_classes );
		}
		

		private function get_cta_classes( $atts ) {
			$cta_classes = array();

			$cta_classes[] = 'qodef-hl-cta';
			$cta_classes[] = ! empty( $atts['cta_enable_particles'] ) && 'yes' === $atts['cta_enable_particles'] ? 'qodef-particles-background' : '';

			return implode( ' ', $cta_classes );
		}

		private function get_cta_particles_attr( $atts ) {
			$cta_attr = '';

			$cta_attr = ! empty( $atts['cta_particles_color'] ) ? $atts['cta_particles_color'] : '#D48063';

			return $cta_attr;
		}

		private function get_cta_styles( $atts ) {
			$styles = array();

			if ( ! empty( $atts['cta_background_color'] ) ) {
				$styles[] = 'background-color: ' . $atts['cta_background_color'];
			}

			return $styles;
		}
	}
}
