<div <?php qode_framework_class_attribute( $holder_classes ); ?>>

	<?php
	$button_intro_params = array(
		'custom_class'  => '',
		'button_layout' => 'outlined',
		'text'          => $intro_button_text,
		'link'          => $intro_button_link,
		'target'        => $intro_button_target,
	);
	?>

	<div class="qodef-hl-intro">
		<?php if ( ! empty( $intro_section_background ) && ( ! empty( $intro_bg_video ) || ! empty( $intro_bg_image ) ) ) { ?>
			<?php if ( ! empty( $intro_bg_video ) && class_exists( 'MicdropCore_Video_Holder_Shortcode' ) ) { ?>
				<?php
				$video_params = array(
					'video_source'  => $intro_bg_video,
					'enable_appear' => 'no',
				);
				echo MicdropCore_Video_Holder_Shortcode::call_shortcode( $video_params );
				?>
			<?php } elseif ( ! empty( $intro_bg_image ) ) { ?>
				<img class="qodef-hl-intro-bg" src="<?php echo wp_get_attachment_url( $intro_bg_image ); ?>" alt="<?php the_title( $intro_bg_image ); ?>"/>
			<?php } ?>
		<?php } ?>

		<?php if ( ! empty( $intro_title ) || ! empty( $button_intro_params ) ) { ?>
			<div class="qodef-hl-intro-top">
				<?php if ( ! empty( $intro_title ) ) { ?>
					<h1 class="qodef-hl-intro-title" ><?php echo qode_framework_wp_kses_html( 'content', $intro_title ); ?></h1>
				<?php } ?>
				<?php if ( ! empty( $button_intro_params ) && class_exists( 'micdropcore_button_shortcode' ) ) { ?>
					<div class="qodef-hl-intro-btn">
						<?php echo micdropcore_button_shortcode::call_shortcode( $button_intro_params ); ?>
					</div>
				<?php } ?>
			</div>
		<?php } ?>

		<?php if ( ! empty( $intro_bottom_title ) || ! empty( $intro_bottom_text ) ) { ?>
			<div class="qodef-hl-intro-bottom">
				<?php if ( ! empty( $intro_bottom_title ) ) { ?>
					<h4 class="qodef-hl-intro-bottom-title"><?php echo qode_framework_wp_kses_html( 'content', $intro_bottom_title ); ?></h4>
				<?php } ?>
				<?php if ( ! empty( $intro_bottom_text ) ) { ?>
					<p class="qodef-hl-intro-bottom-text"><?php echo esc_html( $intro_bottom_text ); ?></p>
				<?php } ?>
			</div>
		<?php } ?>

	</div>

	<div class="qodef-hl-items-wrapper">
		<?php
		if ( ! empty( $items ) ) :
			$i = 0;
			foreach ( $items as $key => $item ) :
				?>
				<?php $type = 'image'; ?>
				<div class="qodef-hl-item" data-type="<?php echo esc_attr( $type ); ?>">
					<div class="qodef-hli-grid">
						<div class="qodef-hli-btm">
							<div class="qodef-hli-btm-inner">
								<?php if ( ! empty( $item['link'] ) ) { ?>
								<a href="<?php echo esc_url( $item['link'] ); ?>" target="<?php echo esc_attr( $item['target'] ); ?>"> <?php } ?>
									<?php if ( 'image' === $type ) : ?>
										<?php
										if ( isset( $params['elementor'] ) ) {
											$item['image'] = $item['image']['id'];
										}
										?>
										<div class="qodef-hli-btm-item qodef-hli-image">
											<div class="qodef-hli-btm-bg-image">
												<?php
												$img_holder_classes = 'qodef-hli-btm-bg-image-inner';
												if ( ! empty( $item['item_enable_particles'] ) && 'yes' === $item['item_enable_particles'] ) {
													$img_holder_classes = 'qodef-hli-btm-bg-image-inner qodef-particles-background';
													$item_attr          = ! empty( $item['item_particles_color'] ) ? $item['item_particles_color'] : '#D48063';
												}
												?>
												<div class="<?php echo esc_attr( $img_holder_classes ); ?>">
													<?php if ( ! empty( $item['item_enable_particles'] ) && 'yes' === $item['item_enable_particles'] ) { ?>
													<div class="qodef-p-particles-container" data-particles-color="<?php echo esc_attr( $item_attr ); ?>"></div>
													<?php } ?>
													<?php if ( ! empty( $item['image'] ) ) { ?>
													<img src="<?php echo wp_get_attachment_url( $item['image'] ); ?>" alt="<?php the_title( $item['image'] ); ?>"/>
													<?php } ?>
												</div>
											</div>
										</div>
									<?php endif; ?>
									<?php if ( ! empty( $item['link'] ) ) { ?>
								</a> <?php } ?>
								<div class="qodef-hli-mid">
									<h2 class="qodef-hli-title" >
										<?php if ( ! empty( $item['link'] ) ) { ?>
										<a href="<?php echo esc_url( $item['link'] ); ?>" target="<?php echo esc_attr( $item['target'] ); ?>"> <?php } ?>
											<?php echo esc_html( $item['title'] ); ?>
										<?php if ( ! empty( $item['link'] ) ) { ?>
										</a> <?php } ?>
									</h2>
									<?php if ( ! empty( $item['text'] ) ) { ?>
										<p class="qodef-hli-text">
											<?php echo esc_html( $item['text'] ); ?>
										</p>
									<?php } ?>
								</div>
								<?php if ( 0 === $i ) { ?>
									<span class="qodef-scroll-text"><?php esc_html_e( 'scroll', 'micdrop-core' ); ?></span>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
				<?php
				$i++;
			endforeach;
		endif;
		?>
	</div>

	<div <?php qode_framework_class_attribute( $cta_classes ); ?> <?php qode_framework_inline_style( $cta_styles ); ?>>
		<?php if ( ! empty( $cta_enable_particles ) ) { ?>
			<div class="qodef-p-particles-container" data-particles-color="<?php echo esc_attr( $cta_particles_attr ); ?>"></div>
		<?php } ?>

		<?php if ( ! empty( $cta_title_1 ) || ! empty( $cta_text_1 ) || ! empty( $cta_email_1 ) || ! empty( $cta_tel_1 ) ) { ?>
			<div class="qodef-hl-cta-section-one">
				<?php if ( ! empty( $cta_title_1 ) ) { ?>
					<h6 class="qodef-hl-cta-title"><?php echo qode_framework_wp_kses_html( 'content', $cta_title_1 ); ?></h6>
				<?php } ?>

				<?php if ( ! empty( $cta_text_1 ) ) { ?>
					<p class="qodef-hl-cta-text"><?php echo esc_html( $cta_text_1 ); ?></p>
				<?php } ?>

				<?php if ( ! empty( $cta_email_1 ) ) { ?>
					<p class="qodef-hl-cta-email">
						<a href="mailto:<?php echo esc_html( $cta_email_1 ); ?>"><?php echo esc_html( $cta_email_1 ); ?></a>
					</p>
				<?php } ?>

				<?php if ( ! empty( $cta_tel_1 ) && ! empty( $cta_tel_link_1 ) ) { ?>
					<p class="qodef-hl-cta-tel">
						<a href="tel:<?php echo esc_html( $cta_tel_link_1 ); ?>"><?php echo esc_html( $cta_tel_1 ); ?></a>
					</p>
				<?php } ?>
			</div>
		<?php } ?>

		<?php if ( ! empty( $cta_title_2 ) || ! empty( $cta_text_2 ) || ! empty( $cta_email_2 ) || ! empty( $cta_tel_2 ) ) { ?>
			<div class="qodef-hl-cta-section-two">
				<?php if ( ! empty( $cta_title_2 ) ) { ?>
					<h6 class="qodef-hl-cta-title"><?php echo qode_framework_wp_kses_html( 'content', $cta_title_2 ); ?></h6>
				<?php } ?>

				<?php if ( ! empty( $cta_text_2 ) ) { ?>
					<p class="qodef-hl-cta-text"><?php echo esc_html( $cta_text_2 ); ?></p>
				<?php } ?>

				<?php if ( ! empty( $cta_email_2 ) ) { ?>
					<p class="qodef-hl-cta-email">
						<a href="mailto:<?php echo esc_html( $cta_email_2 ); ?>"><?php echo esc_html( $cta_email_2 ); ?></a>
					</p>
				<?php } ?>

				<?php if ( ! empty( $cta_tel_2 ) && ! empty( $cta_tel_link_2 ) ) { ?>
					<p class="qodef-hl-cta-tel">
						<a href="tel:<?php echo esc_html( $cta_tel_link_2 ); ?>"><?php echo esc_html( $cta_tel_2 ); ?></a>
					</p>
				<?php } ?>
			</div>
		<?php } ?>

		<?php
		$button_params = array(
			'custom_class'  => '',
			'button_layout' => 'outlined',
			'text'          => $cta_link_text,
			'link'          => $cta_link,
			'target'        => $cta_link_target,
		);
		if ( class_exists( 'micdropcore_button_shortcode' ) ) {
			?>
			<div class="qodef-hl-cta-btn">
				<?php echo micdropcore_button_shortcode::call_shortcode( $button_params ); ?>
			</div>
		<?php } ?>
	</div>

	<div id="qodef-hl-scroll-area"></div>
</div>
