(function ( $ ) {
	'use strict';

	qodefCore.shortcodes.micdrop_core_cards_gallery = {};

	$( document ).ready(
		function () {
			qodefVideoWithInteractiveBanners.init();
		}
	);

	$( window ).on(
		'resize',
		function () {
			qodefVideoWithInteractiveBanners.init();
		}
	);

	var qodefVideoWithInteractiveBanners = {
		init: function () {
			this.holder = $( '.qodef-video-with-interactive-banners' );

			if ( this.holder.length ) {
				this.holder.each(
					function () {
						qodefVideoWithInteractiveBanners.maintainFullHeight( $( this ) );
						qodefVideoWithInteractiveBanners.initBanners( $( this ) );
					}
				);
			}
		},
		maintainFullHeight: function ( $holder ) {
			var $headerHeight = 0;
			var $mobileHeaderHeight = 0;
			var $videoSectionHeight = 0;
			var $videoSection = $holder.find('.qodef-e-inner .qodef-e-item.qodef-e-left');

			if ( $holder.hasClass('qodef-maintain-full-height--yes') ) {

				$holder.css("height", ""); // reset height value if exist
				$videoSection.height('100%');

				var $holderHeight = $holder.height();

				if ( qodef.windowWidth > 1024 && ! qodef.body.hasClass('qodef-header--transparent') && qodefGlobal.vars.headerHeight !== null && qodefGlobal.vars.headerHeight !== '' ) {
					$headerHeight = parseInt( qodefGlobal.vars.headerHeight, 10 );
					$holderHeight = $holderHeight - $headerHeight;
				} else if ( qodef.windowWidth > 768 && qodef.windowWidth <= 1024 && ! qodef.body.hasClass('qodef-header--transparent') && qodefGlobal.vars.headerHeight !== null && qodefGlobal.vars.headerHeight !== '' ) {
					$mobileHeaderHeight = parseInt( qodefGlobal.vars.mobileHeaderHeight, 10 );
					$holderHeight = $holderHeight - $mobileHeaderHeight;
				} else {
					$mobileHeaderHeight = parseInt( qodefGlobal.vars.mobileHeaderHeight, 10 );
					$holderHeight = $holderHeight - $mobileHeaderHeight;
					$videoSection.height('100%');
					$holderHeight = '100%';
				}

				$holder.height($holderHeight); // sets holder height
			}
		},
		initBanners: function ( $holder ) {
			var $items = $holder.find( '.qodef-m-banner-items' );

			if ( qodef.windowWidth > 768 ) {
				if ( $items.length && typeof qodefCore.qodefPerfectScrollbar === 'object' ) {
					qodefCore.qodefPerfectScrollbar.init( $items );
				}
			}
		}
	};

	qodefCore.shortcodes.micdrop_core_cards_gallery.qodefVideoWithInteractiveBanners = qodefVideoWithInteractiveBanners;

})( jQuery );
