<?php

if ( ! function_exists( 'micdrop_core_add_social_share_widget' ) ) {
	/**
	 * Function that add widget into widgets list for registration
	 *
	 * @param array $widgets
	 *
	 * @return array
	 */
	function micdrop_core_add_social_share_widget( $widgets ) {
		$widgets[] = 'MicdropCore_Social_Share_Widget';

		return $widgets;
	}

	add_filter( 'micdrop_core_filter_register_widgets', 'micdrop_core_add_social_share_widget' );
}

if ( class_exists( 'QodeFrameworkWidget' ) ) {
	class MicdropCore_Social_Share_Widget extends QodeFrameworkWidget {

		public function map_widget() {
			$widget_mapped = $this->import_shortcode_options(
				array(
					'shortcode_base' => 'micdrop_core_social_share',
				)
			);

			if ( $widget_mapped ) {
				$this->set_base( 'micdrop_core_social_share' );
				$this->set_name( esc_html__( 'Micdrop Social Share', 'micdrop-core' ) );
				$this->set_description( esc_html__( 'Add a social share element into widget areas', 'micdrop-core' ) );
			}
		}

		public function render( $atts ) {
			echo MicdropCore_Social_Share_Shortcode::call_shortcode( $atts ); // XSS OK
		}
	}
}
