<?php

if ( ! function_exists( 'micdrop_core_add_page_spinner_options' ) ) {
	/**
	 * Function that add general options for this module
	 */
	function micdrop_core_add_page_spinner_options( $page ) {

		if ( $page ) {
			$page->add_field_element(
				array(
					'field_type'    => 'yesno',
					'name'          => 'qodef_enable_page_spinner',
					'title'         => esc_html__( 'Enable Page Spinner', 'micdrop-core' ),
					'description'   => esc_html__( 'Enable Page Spinner Effect', 'micdrop-core' ),
					'default_value' => 'no',
				)
			);

			$spinner_section = $page->add_section_element(
				array(
					'name'       => 'qodef_page_spinner_section',
					'title'      => esc_html__( 'Page Spinner Section', 'micdrop-core' ),
					'dependency' => array(
						'show' => array(
							'qodef_enable_page_spinner' => array(
								'values'        => 'yes',
								'default_value' => 'no',
							),
						),
					),
				)
			);

			$spinner_section->add_field_element(
				array(
					'field_type'    => 'select',
					'name'          => 'qodef_page_spinner_type',
					'title'         => esc_html__( 'Select Page Spinner Type', 'micdrop-core' ),
					'description'   => esc_html__( 'Choose a page spinner animation style', 'micdrop-core' ),
					'options'       => apply_filters( 'micdrop_core_filter_page_spinner_layout_options', array() ),
					'default_value' => apply_filters( 'micdrop_core_filter_page_spinner_default_layout_option', '' ),
				)
			);

			$spinner_section->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_page_spinner_background_color',
					'title'       => esc_html__( 'Spinner Background Color', 'micdrop-core' ),
					'description' => esc_html__( 'Choose the spinner background color', 'micdrop-core' ),
				)
			);

			$spinner_section->add_field_element(
				array(
					'field_type'  => 'color',
					'name'        => 'qodef_page_spinner_color',
					'title'       => esc_html__( 'Spinner Color', 'micdrop-core' ),
					'description' => esc_html__( 'Choose the spinner color', 'micdrop-core' ),
				)
			);
			
			$spinner_section->add_field_element(
				array(
					'field_type'    => 'text',
					'name'          => 'qodef_page_spinner_text_1',
					'title'         => esc_html__( 'Spinner Text 1', 'oraiste-core' ),
					'description'   => esc_html__( 'Choose the spinner text', 'oraiste-core' ),
					'default_value' => 'Micdrop',
					'dependency'    => array(
						'show' => array(
							'qodef_page_spinner_type' => array(
								'values'        => 'textual',
								'default_value' => 'no'
							)
						)
					)
				
				)
			);
			
			$spinner_section->add_field_element(
				array(
					'field_type'    => 'text',
					'name'          => 'qodef_page_spinner_text_2',
					'title'         => esc_html__( 'Spinner Text 2', 'oraiste-core' ),
					'description'   => esc_html__( 'Choose the spinner text', 'oraiste-core' ),
					'default_value' => 'Music',
					'dependency'    => array(
						'show' => array(
							'qodef_page_spinner_type' => array(
								'values'        => 'textual',
								'default_value' => 'no'
							)
						)
					)
				
				)
			);
			
			$spinner_section->add_field_element(
				array(
					'field_type'    => 'text',
					'name'          => 'qodef_page_spinner_text_3',
					'title'         => esc_html__( 'Spinner Text 3', 'oraiste-core' ),
					'description'   => esc_html__( 'Choose the spinner text', 'oraiste-core' ),
					'default_value' => 'Theme',
					'dependency'    => array(
						'show' => array(
							'qodef_page_spinner_type' => array(
								'values'        => 'textual',
								'default_value' => 'no'
							)
						)
					)
				
				)
			);
			
		}
	}

	add_action( 'micdrop_core_action_after_general_options_map', 'micdrop_core_add_page_spinner_options' );
}
