<?php

if ( ! function_exists( 'micdrop_core_add_textual_spinner_layout_option' ) ) {
	/**
	 * Function that set new value into page spinner layout options map
	 *
	 * @param $layouts array - module layouts
	 *
	 * @return array
	 */
	function micdrop_core_add_textual_spinner_layout_option( $layouts ) {
		$layouts['textual'] = esc_html__( 'Textual', 'micdrop-core' );
		
		return $layouts;
	}
	
	add_filter( 'micdrop_core_filter_page_spinner_layout_options', 'micdrop_core_add_textual_spinner_layout_option' );
}

if ( ! function_exists( 'micdrop_core_set_textual_spinner_layout_as_default_option' ) ) {
	/**
	 * Function that set default value for page spinner layout options map
	 *
	 * @param string $default_value
	 *
	 * @return string
	 */
	function micdrop_core_set_textual_spinner_layout_as_default_option( $default_value ) {
		return 'textual';
	}
	
	add_filter( 'micdrop_core_filter_page_spinner_default_layout_option', 'micdrop_core_set_textual_spinner_layout_as_default_option' );
}

if ( ! function_exists( 'micdrop_textual_spiner_enqueue_scripts' ) ) {
	/**
	 * Function that enqueue 3rd party plugins script
	 */
	function micdrop_textual_spiner_enqueue_scripts() {
		$type = micdrop_core_get_post_value_through_levels( 'qodef_page_spinner_type' );
		
		if ( 'textual' === $type ) {
			wp_enqueue_script( 'gsap' );
		}
	}
	
	add_action( 'micdrop_action_before_main_css', 'micdrop_textual_spiner_enqueue_scripts' );
}
