<?php if ( isset( $enable_filter ) && 'yes' === $enable_filter && isset( $taxonomy_filter ) ) {

	$filter_items  = micdrop_get_filter_items( $params );
	$hide_show_all = isset( $hide_show_all ) && ! empty( $hide_show_all ) ? $hide_show_all : 'no';
	$filter_title  = isset( $filter_title ) && ! empty( $filter_title ) ? $filter_title : '';
	?>
	<div class="qodef-m-filter">
		<?php if ( ! empty( $filter_title ) ) { ?>
		<h2 itemprop="name" class="qodef-e-title entry-title">
			<?php echo esc_html( $filter_title ); ?>
		</h2>
		<?php } ?>
		<?php if ( ! empty( $filter_items ) ) { ?>
			<div class="qodef-m-filter-items">
				<?php if ( ! empty( $hide_show_all ) && 'yes' !== $hide_show_all ) { ?>
					<a class="qodef-m-filter-item qodef--active" href="#" data-taxonomy="<?php echo esc_attr( $taxonomy_filter ); ?>" data-filter="*">
						<span class="qodef-m-filter-item-name"><?php esc_html_e( 'Show All', 'micdrop' ); ?></span>
					</a>
				<?php } ?>
				<?php
				$counter = 0;
				foreach ( $filter_items as $item ) {
					$filter_value = is_numeric( $item->slug ) ? $item->term_id : $item->slug;

					if ( ! empty( $hide_show_all ) && 'yes' === $hide_show_all && 0 === $counter ) {
						$item_classes = 'qodef-m-filter-item qodef--init-active';
					} else {
						$item_classes = 'qodef-m-filter-item';
					}
					?>
					<a class="<?php echo esc_attr( $item_classes ); ?>" href="#" data-taxonomy="<?php echo esc_attr( $taxonomy_filter ); ?>" data-filter="<?php echo esc_attr( $filter_value ); ?>">
						<span class="qodef-m-filter-item-name"><?php echo esc_html( $item->name ); ?></span>
					</a>
					<?php
					$counter++;
				}
				?>
			</div>
		<?php } ?>
	</div>
	<?php
	// Include loading spinner
	if ( ! isset( $pagination_type ) || 'no-pagination' === $pagination_type ) {
		micdrop_render_svg_icon( 'spinner', 'qodef-filter-pagination-spinner' );
	}
	?>
<?php } ?>
